API
Cette référence décrit les routes publiques de l'API BaaStide : les routes de la clé API d'un MSP et les routes de la clé de provisioning d'un CSP. Les routes internes et les routes d'administration de la plateforme ne sont pas dans cette référence.
Source : openapi-csp.json du dépôt platform, BaaStide API for CSP integrations. Les textes de la source sont en anglais.
Adresse de base
https://{portal}/api({portal}: Host name of the BaaStide portal)
Authentification (en-tête Authorization: Bearer <clé>)
mspApiKey: MSP API key:bst_msp_.... The route's security names the scope the key needs (read, operate or browse).provisioningKey: Provisioning key of a CSP:bst_prov_....
Routes (131)
| Route | Méthode et chemin | Section |
|---|---|---|
| Get current msp | GET /msp | Accounts |
| List endpoint jobs | GET /endpoints/{id}/jobs | Backups |
| Create endpoint job | POST /endpoints/{id}/jobs | Backups |
| List endpoint snapshots | GET /endpoints/{id}/snapshots | Backups |
| List snapshot tree | POST /endpoints/{id}/snapshots/{snapshot_id}/tree | Backups |
| Search snapshot | POST /endpoints/{id}/snapshots/{snapshot_id}/search | Backups |
| Size snapshot selection | POST /endpoints/{id}/snapshots/{snapshot_id}/selection-size | Backups |
| Get job | GET /jobs/{id} | Backups |
| Cancel job | POST /jobs/{id}/cancel | Backups |
| Get job logs | GET /jobs/{id}/logs | Backups |
| List mssql instances | GET /endpoints/{id}/mssql/instances | Backups |
| Set mssql connection | PUT /endpoints/{id}/mssql/instances/{instance}/connection | Backups |
| List mssql snapshots | GET /endpoints/{id}/mssql/snapshots | Backups |
| Get mssql snapshot | GET /endpoints/{id}/mssql/snapshots/{snapshotId} | Backups |
| Mssql inventory | POST /endpoints/{id}/mssql/inventory | Backups |
| List backup policies | GET /endpoints/{id}/policies | Backups |
| Create backup policy | POST /endpoints/{id}/policies | Backups |
| Get backup policy | GET /endpoints/{id}/policies/{policyId} | Backups |
| Replace backup policy | PUT /endpoints/{id}/policies/{policyId} | Backups |
| Delete backup policy | DELETE /endpoints/{id}/policies/{policyId} | Backups |
| Run backup policy | POST /endpoints/{id}/policies/{policyId}/run | Backups |
| Copy backup policy | POST /endpoints/{id}/policies/{policyId}/copy | Backups |
| Get baremetal policy | GET /endpoints/{id}/baremetal-policy | Backups |
| Replace baremetal policy | PUT /endpoints/{id}/baremetal-policy | Backups |
| Create baremetal policy | POST /endpoints/{id}/baremetal-policy | Backups |
| Get policy | GET /endpoints/{id}/policy | Backups |
| Replace policy | PUT /endpoints/{id}/policy | Backups |
| List pending actions | GET /pending-actions | Backups |
| Cancel pending action | POST /pending-actions/{id}/cancel | Backups |
| List clients | GET /clients | Clients |
| Create client | POST /clients | Clients |
| Get client | GET /clients/{id} | Clients |
| Delete client | DELETE /clients/{id} | Clients |
| List endpoints | GET /endpoints | Endpoints |
| Export endpoints | GET /endpoints/export | Endpoints |
| Get endpoint | GET /endpoints/{id} | Endpoints |
| Update endpoint | PATCH /endpoints/{id} | Endpoints |
| Delete endpoint | DELETE /endpoints/{id} | Endpoints |
| Get endpoint agent | GET /endpoints/{id}/agent | Endpoints |
| Set agent upload limit | PUT /endpoints/{id}/agent/upload-limit | Endpoints |
| Browse agent | POST /endpoints/{id}/browse | Endpoints |
| List agent shares | GET /endpoints/{id}/shares | Endpoints |
| Create agent share | POST /endpoints/{id}/shares | Endpoints |
| Update agent share | PATCH /endpoints/{id}/shares/{shareId} | Endpoints |
| Delete agent share | DELETE /endpoints/{id}/shares/{shareId} | Endpoints |
| Check agent share | POST /endpoints/{id}/shares/check | Endpoints |
| List endpoint vms | GET /endpoints/{id}/vms | Endpoints |
| List enrollment tokens | GET /enrollment-tokens | Enrollment |
| Create enrollment token | POST /enrollment-tokens | Enrollment |
| Revoke enrollment token | DELETE /enrollment-tokens/{id} | Enrollment |
| Set enrollment token tags | PUT /enrollment-tokens/{id}/tags | Enrollment |
| List deployment tokens | GET /deployment-tokens | Enrollment |
| Get deployment token | GET /deployment-tokens/{id} | Enrollment |
| List deployment token endpoints | GET /deployment-tokens/{id}/endpoints | Enrollment |
| Create reattach token | POST /endpoints/{id}/reattach-token | Enrollment |
| Get install profile | GET /install-profile | Enrollment |
| List tag keys | GET /tag-keys | Fleet |
| Create tag key | POST /tag-keys | Fleet |
| Update tag key | PATCH /tag-keys/{id} | Fleet |
| Delete tag key | DELETE /tag-keys/{id} | Fleet |
| List tag values | GET /tag-keys/{id}/values | Fleet |
| List endpoint tags | GET /endpoints/{id}/tags | Fleet |
| Set endpoint tag | POST /endpoints/{id}/tags | Fleet |
| Remove endpoint tag | DELETE /endpoints/{id}/tags/{keyId} | Fleet |
| Bulk endpoint tags | POST /endpoint-tags | Fleet |
| Get tree levels | GET /tree-levels | Fleet |
| Get fleet tree | GET /fleet/tree | Fleet |
| Summarize fleet selection | POST /fleet/selection | Fleet |
| Set fleet tags | POST /fleet/tags | Fleet |
| Move fleet endpoints | POST /fleet/move | Fleet |
| Start fleet backups | POST /fleet/backups | Fleet |
| Create m365endpoint | POST /m365/endpoints | M365 |
| Connection: status, Graph roles granted, certificate expiry | GET /endpoints/{id}/m365/connection | M365 |
| Discovery status and resources of the tenant | GET /endpoints/{id}/m365/resources | M365 |
| Graph roles of the latest complete check | GET /endpoints/{id}/m365/permissions | M365 |
| Observed changes of the Graph roles, newest first | GET /endpoints/{id}/m365/permissions/history | M365 |
| New enrollment link to reconnect the tenant | POST /endpoints/{id}/m365/reconnect | M365 |
| Back up now, outside the schedule | POST /endpoints/{id}/m365/backups/run | M365 |
| Backup runs, newest first | GET /endpoints/{id}/m365/runs | M365 |
| One run with its work units | GET /endpoints/{id}/m365/runs/{run_id} | M365 |
| Children of a folder of a resource at a point in time | GET /endpoints/{id}/m365/resources/{resource_id}/{workload}/browse | M365 |
Versions of an item (the item id is the rest of the path and may hold a /) | GET /endpoints/{id}/m365/resources/{resource_id}/{workload}/items/{item_id}/versions | M365 |
| Search on the metadata of the backed-up items | GET /endpoints/{id}/m365/search | M365 |
| Backup time, time zone and retention | GET /endpoints/{id}/m365/settings | M365 |
| Change the backup time, time zone or retention | PATCH /endpoints/{id}/m365/settings | M365 |
| Cancel a pending shorter retention | POST /endpoints/{id}/m365/settings/retention/cancel | M365 |
| Last daily reading of the usage reports and its month to date | GET /endpoints/{id}/m365/consumption | M365 |
| Read the usage reports again now | POST /endpoints/{id}/m365/consumption/check | M365 |
| Exports, newest first | GET /endpoints/{id}/m365/exports | M365 |
| Start an export (native files or PST) | POST /endpoints/{id}/m365/exports | M365 |
| One export: state, progress, parts, expiry | GET /endpoints/{id}/m365/exports/{export_id} | M365 |
| Download link of one part of a ready export | GET /endpoints/{id}/m365/exports/{export_id}/parts/{number} | M365 |
| Content of one part (ZIP) | GET /endpoints/{id}/m365/exports/{export_id}/parts/{number}/content | M365 |
| Restore turned on or off for the tenant | GET /endpoints/{id}/m365/restore/activation | M365 |
| Restores, newest first | GET /endpoints/{id}/m365/restores | M365 |
| One restore: state, totals, typed error | GET /endpoints/{id}/m365/restores/{restore_id} | M365 |
| List usage daily | GET /usage-daily | Monitoring |
| List audit log | GET /audit-log | Monitoring |
| Get alert settings | GET /alerts | Monitoring |
| Replace alert settings | PUT /alerts | Monitoring |
| Get client alert settings | GET /clients/{id}/alerts | Monitoring |
| Replace client alert settings | PUT /clients/{id}/alerts | Monitoring |
| List dashboard problems | GET /dashboard/problems | Monitoring |
| Get dashboard | GET /dashboard | Monitoring |
| Get dashboard tag groups | GET /dashboard/tag-groups | Monitoring |
| Export dashboard tag groups | GET /dashboard/tag-groups/export | Monitoring |
| Get license overview | GET /license | Monitoring |
| Get license usage | GET /license/usage | Monitoring |
| List provisioned msps | GET /provisioning/msps | Provisioning |
| Provision msp | POST /provisioning/msps | Provisioning |
| Get provisioned msp | GET /provisioning/msps/{id} | Provisioning |
| Suspend provisioned msp | POST /provisioning/msps/{id}/suspend | Provisioning |
| Reactivate provisioned msp | POST /provisioning/msps/{id}/reactivate | Provisioning |
| List provisioned msp api keys | GET /provisioning/msps/{id}/api-keys | Provisioning |
| Create provisioned msp api key | POST /provisioning/msps/{id}/api-keys | Provisioning |
| Rotate provisioned msp api key | POST /provisioning/msps/{id}/api-keys/{key_id}/rotate | Provisioning |
| Revoke provisioned msp api key | DELETE /provisioning/msps/{id}/api-keys/{key_id} | Provisioning |
| Claim recovery pairing | POST /recovery/claims | Recovery |
| Get recovery pairing | GET /recovery/pairings/{id} | Recovery |
| Approve recovery pairing | POST /recovery/pairings/{id}/approve | Recovery |
| Cancel recovery pairing | POST /recovery/pairings/{id}/cancel | Recovery |
| Get recovery iso | GET /recovery/iso | Recovery |
| Create mssql restore | POST /endpoints/{id}/mssql/restores | Restores |
| Preview mssql restore | POST /endpoints/{id}/mssql/restores/preview | Restores |
| List restore sessions | GET /endpoints/{id}/restore-sessions | Restores |
| Create restore | POST /endpoints/{id}/restores | Restores |
| List vm restore targets | GET /endpoints/{id}/vm-restore-targets | Restores |
| Preview vm restore | POST /endpoints/{id}/vm-restores/preview | Restores |
| Create vm restore | POST /endpoints/{id}/vm-restores | Restores |
| Get restore session | GET /restore-sessions/{id} | Restores |
| Cancel restore session | POST /restore-sessions/{id}/cancel | Restores |